package com.inspect.ivs.view;

import com.inspect.ivs.base.feign.domain.IndexRange;
import java.io.Serializable;
import java.util.List;

public class IvsPlatformSnapshotView implements Serializable {
   private IvsPlatformSnapshotView.SnapshotInfoList snapshotInfoList;

   public IvsPlatformSnapshotView.SnapshotInfoList getSnapshotInfoList() {
      return this.snapshotInfoList;
   }

   public void setSnapshotInfoList(IvsPlatformSnapshotView.SnapshotInfoList snapshotInfoList) {
      this.snapshotInfoList = snapshotInfoList;
   }

   public boolean equals(Object o) {
      if(o == this) {
         return true;
      } else if(!(o instanceof IvsPlatformSnapshotView)) {
         return false;
      } else {
         IvsPlatformSnapshotView other = (IvsPlatformSnapshotView)o;
         if(!other.canEqual(this)) {
            return false;
         } else {
            Object this$snapshotInfoList = this.getSnapshotInfoList();
            Object other$snapshotInfoList = other.getSnapshotInfoList();
            if(this$snapshotInfoList == null) {
               if(other$snapshotInfoList != null) {
                  return false;
               }
            } else if(!this$snapshotInfoList.equals(other$snapshotInfoList)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof IvsPlatformSnapshotView;
   }

   public int hashCode() {
      int PRIME = 1;
      int result = 1;
      Object $snapshotInfoList = this.getSnapshotInfoList();
      result = result * 59 + ($snapshotInfoList == null?43:$snapshotInfoList.hashCode());
      return result;
   }

   public String toString() {
      return "IvsPlatformSnapshotView(snapshotInfoList=" + this.getSnapshotInfoList() + ")";
   }

   public static class SnapshotInfo {
      private String cameraCode;
      private String snapTime;
      private String snapType;
      private String pictureName;
      private String pictureSize;
      private String previewUrl;
      private String pictureUrl;
      private String reserve;

      public String getCameraCode() {
         return this.cameraCode;
      }

      public String getSnapTime() {
         return this.snapTime;
      }

      public String getSnapType() {
         return this.snapType;
      }

      public String getPictureName() {
         return this.pictureName;
      }

      public String getPictureSize() {
         return this.pictureSize;
      }

      public String getPreviewUrl() {
         return this.previewUrl;
      }

      public String getPictureUrl() {
         return this.pictureUrl;
      }

      public String getReserve() {
         return this.reserve;
      }

      public void setCameraCode(String cameraCode) {
         this.cameraCode = cameraCode;
      }

      public void setSnapTime(String snapTime) {
         this.snapTime = snapTime;
      }

      public void setSnapType(String snapType) {
         this.snapType = snapType;
      }

      public void setPictureName(String pictureName) {
         this.pictureName = pictureName;
      }

      public void setPictureSize(String pictureSize) {
         this.pictureSize = pictureSize;
      }

      public void setPreviewUrl(String previewUrl) {
         this.previewUrl = previewUrl;
      }

      public void setPictureUrl(String pictureUrl) {
         this.pictureUrl = pictureUrl;
      }

      public void setReserve(String reserve) {
         this.reserve = reserve;
      }

      public boolean equals(Object o) {
         if(o == this) {
            return true;
         } else if(!(o instanceof IvsPlatformSnapshotView.SnapshotInfo)) {
            return false;
         } else {
            IvsPlatformSnapshotView.SnapshotInfo other = (IvsPlatformSnapshotView.SnapshotInfo)o;
            if(!other.canEqual(this)) {
               return false;
            } else {
               label107: {
                  Object this$cameraCode = this.getCameraCode();
                  Object other$cameraCode = other.getCameraCode();
                  if(this$cameraCode == null) {
                     if(other$cameraCode == null) {
                        break label107;
                     }
                  } else if(this$cameraCode.equals(other$cameraCode)) {
                     break label107;
                  }

                  return false;
               }

               Object this$snapTime = this.getSnapTime();
               Object other$snapTime = other.getSnapTime();
               if(this$snapTime == null) {
                  if(other$snapTime != null) {
                     return false;
                  }
               } else if(!this$snapTime.equals(other$snapTime)) {
                  return false;
               }

               Object this$snapType = this.getSnapType();
               Object other$snapType = other.getSnapType();
               if(this$snapType == null) {
                  if(other$snapType != null) {
                     return false;
                  }
               } else if(!this$snapType.equals(other$snapType)) {
                  return false;
               }

               label86: {
                  Object this$pictureName = this.getPictureName();
                  Object other$pictureName = other.getPictureName();
                  if(this$pictureName == null) {
                     if(other$pictureName == null) {
                        break label86;
                     }
                  } else if(this$pictureName.equals(other$pictureName)) {
                     break label86;
                  }

                  return false;
               }

               label79: {
                  Object this$pictureSize = this.getPictureSize();
                  Object other$pictureSize = other.getPictureSize();
                  if(this$pictureSize == null) {
                     if(other$pictureSize == null) {
                        break label79;
                     }
                  } else if(this$pictureSize.equals(other$pictureSize)) {
                     break label79;
                  }

                  return false;
               }

               label72: {
                  Object this$previewUrl = this.getPreviewUrl();
                  Object other$previewUrl = other.getPreviewUrl();
                  if(this$previewUrl == null) {
                     if(other$previewUrl == null) {
                        break label72;
                     }
                  } else if(this$previewUrl.equals(other$previewUrl)) {
                     break label72;
                  }

                  return false;
               }

               Object this$pictureUrl = this.getPictureUrl();
               Object other$pictureUrl = other.getPictureUrl();
               if(this$pictureUrl == null) {
                  if(other$pictureUrl != null) {
                     return false;
                  }
               } else if(!this$pictureUrl.equals(other$pictureUrl)) {
                  return false;
               }

               Object this$reserve = this.getReserve();
               Object other$reserve = other.getReserve();
               if(this$reserve == null) {
                  if(other$reserve != null) {
                     return false;
                  }
               } else if(!this$reserve.equals(other$reserve)) {
                  return false;
               }

               return true;
            }
         }
      }

      protected boolean canEqual(Object other) {
         return other instanceof IvsPlatformSnapshotView.SnapshotInfo;
      }

      public int hashCode() {
         int PRIME = 1;
         int result = 1;
         Object $cameraCode = this.getCameraCode();
          result = result * 59 + ($cameraCode == null?43:$cameraCode.hashCode());
         Object $snapTime = this.getSnapTime();
         result = result * 59 + ($snapTime == null?43:$snapTime.hashCode());
         Object $snapType = this.getSnapType();
         result = result * 59 + ($snapType == null?43:$snapType.hashCode());
         Object $pictureName = this.getPictureName();
         result = result * 59 + ($pictureName == null?43:$pictureName.hashCode());
         Object $pictureSize = this.getPictureSize();
         result = result * 59 + ($pictureSize == null?43:$pictureSize.hashCode());
         Object $previewUrl = this.getPreviewUrl();
         result = result * 59 + ($previewUrl == null?43:$previewUrl.hashCode());
         Object $pictureUrl = this.getPictureUrl();
         result = result * 59 + ($pictureUrl == null?43:$pictureUrl.hashCode());
         Object $reserve = this.getReserve();
         result = result * 59 + ($reserve == null?43:$reserve.hashCode());
         return result;
      }

      public String toString() {
         return "IvsPlatformSnapshotView.SnapshotInfo(cameraCode=" + this.getCameraCode() + ", snapTime=" + this.getSnapTime() + ", snapType=" + this.getSnapType() + ", pictureName=" + this.getPictureName() + ", pictureSize=" + this.getPictureSize() + ", previewUrl=" + this.getPreviewUrl() + ", pictureUrl=" + this.getPictureUrl() + ", reserve=" + this.getReserve() + ")";
      }
   }

   public static class SnapshotInfoList {
      private int total;
      private IndexRange indexRange;
      private List<IvsPlatformSnapshotView.SnapshotInfo> snapshotInfos;

      public int getTotal() {
         return this.total;
      }

      public IndexRange getIndexRange() {
         return this.indexRange;
      }

      public List<IvsPlatformSnapshotView.SnapshotInfo> getSnapshotInfos() {
         return this.snapshotInfos;
      }

      public void setTotal(int total) {
         this.total = total;
      }

      public void setIndexRange(IndexRange indexRange) {
         this.indexRange = indexRange;
      }

      public void setSnapshotInfos(List<IvsPlatformSnapshotView.SnapshotInfo> snapshotInfos) {
         this.snapshotInfos = snapshotInfos;
      }

      public boolean equals(Object o) {
         if(o == this) {
            return true;
         } else if(!(o instanceof IvsPlatformSnapshotView.SnapshotInfoList)) {
            return false;
         } else {
            IvsPlatformSnapshotView.SnapshotInfoList other = (IvsPlatformSnapshotView.SnapshotInfoList)o;
            if(!other.canEqual(this)) {
               return false;
            } else if(this.getTotal() != other.getTotal()) {
               return false;
            } else {
               Object this$indexRange = this.getIndexRange();
               Object other$indexRange = other.getIndexRange();
               if(this$indexRange == null) {
                  if(other$indexRange != null) {
                     return false;
                  }
               } else if(!this$indexRange.equals(other$indexRange)) {
                  return false;
               }

               Object this$snapshotInfos = this.getSnapshotInfos();
               Object other$snapshotInfos = other.getSnapshotInfos();
               if(this$snapshotInfos == null) {
                  if(other$snapshotInfos != null) {
                     return false;
                  }
               } else if(!this$snapshotInfos.equals(other$snapshotInfos)) {
                  return false;
               }

               return true;
            }
         }
      }

      protected boolean canEqual(Object other) {
         return other instanceof IvsPlatformSnapshotView.SnapshotInfoList;
      }

      public int hashCode() {
         int PRIME = 1;
         int result = 1;
          result = result * 59 + this.getTotal();
         Object $indexRange = this;
         result = result * 59 + ($indexRange == null?43:$indexRange.hashCode());
         Object $snapshotInfos = this.getSnapshotInfos();
         result = result * 59 + ($snapshotInfos == null?43:$snapshotInfos.hashCode());
         return result;
      }

      public String toString() {
         return "IvsPlatformSnapshotView.SnapshotInfoList(total=" + this.getTotal() + ", indexRange=" + this.getIndexRange() + ", snapshotInfos=" + this.getSnapshotInfos() + ")";
      }
   }
}
